#include <stdio.h>

int main()
{
    int A[200000], l[100000], r[100000];
    int n, q, i, k, brojac_nesortiranih;

    scanf("%d", &n);

    for (i = 0; i < n; i++)
        scanf("%d", A + i);

    scanf("%d", &q);

    for (i = 0; i < q; i++)
        scanf("%d%d", l + i, r + i);

    for (i = 0; i < q; i++)
    {
        for (k = l[i] - 1, brojac_nesortiranih = 0; k < r[i] - 1; k++)
        {
            if (A[k] > A[k + 1])
                brojac_nesortiranih++;

            if (brojac_nesortiranih == 2) {
                printf("NE\n");
                break;
            }
        }

        if (brojac_nesortiranih < 2)
            printf("DA\n");
    }
}